D_CRSET(1)

NAME
d_crset - set the current record

SYNOPSIS
#include <typhoon.h>
d_crset(DB_ADDR *addr)

DESCRIPTION
d_crset sets the current record. If no database is currently open, S_NOCD is returned.

DIAGNOSTICS
The status code returned by the function is also stored in the global variable db_status.

S_OKAY
    Operation successful.

S_NOCD
    There is no current database.

S_INVADDR
    The specified address is invalid.

CURRENCY CHANGES
The record at the specified database address becomes the current record.

IDENTIFICATION
Author: Thomas B. Pedersen.
Copyright (c) 1994 Thomas B. Pedersen.

SEE ALSO
d_crget(1)